#!/bin/sh

set -e
set -u
# DEBUG
#set -x

main() {

        cd "$(dirname "${0}")"
        instances="$(find . -maxdepth 1 -type d \
                          | grep -E 'pilot|instance' \
                          | cut -d'_' -f3
                          )"
        for i in ${instances}; do
                dirs="$(find . -maxdepth 1 -type d \
                          | grep -E 'pilot|instance' \
                          | grep "${i}"
                          )"
                echo "- ${i}"
                for d in ${dirs}; do
                        cd ${d}
                        # src https://ma.ttias.be/pretty-git-log-in-one-line/
                        commit_info="$(git log --pretty=format:'[%ci] %an: %s (%h)' -n 1)"
                        cd - >/dev/null
                        d_name="$(basename "${d}")"
                        echo "        - ${d_name}, commit: ${commit_info}"
                done
        done
}

main "${@}"
